#!/bin/sh

# start mysql
echo "Creating database"
mysqld_safe --datadir=/app/data/mysql > /dev/null 2>&1 &

# wait for started
while [ ! -S /var/run/mysqld/mysqld.sock ]
do
    sleep 2
done

# create the database
mysql -uroot -ppassword -e "CREATE DATABASE wordpress;"

# apply schema
# mysql -u root -ppassword my_wiki < /app/configs/mysql/schema.sql

# Shutdown MySQL
mysqladmin -uroot -ppassword shutdown

# cp /app/configs/LocalSettings.php /app/data/LocalSettings.php
# 
# mkdir -p /app/data/uploads
# chown www-data.www-data /app/data/uploads
# 
# # this should become configurable
# wget http://lorempixel.com/100/100/ -O /app/data/wiki.png

